﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingInfoViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolSetting'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                School information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>

                <label for="@Html.Ang(m => m.Domain)">EM portal domain</label>

                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.Domain)" type="text" disabled="disabled" />
                </div>


                <div class="clearfix"></div>

                <label for="@Html.Ang(m => m.SchoolName)">School name</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.SchoolName)" type="text" disabled="disabled" />
                </div>
              
                <div class="clearfix"></div>

                <label for="@Html.Ang(m => m.Phone)">Phone</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.Phone)" type="text" disabled="disabled" />
                </div>
              
                <div class="clearfix"></div>

                <label for="@Html.Ang(m => m.County)">County</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.County)" type="text" disabled="disabled" />
                </div>
               
                <div class="clearfix"></div>

                <label for="@Html.Ang(m => m.Address)">Address</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.Address)" type="text" disabled="disabled" />
                </div>
                
                <div class="clearfix"></div>

                <label for="@Html.Ang(m => m.WebSite)">School site</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.WebSite)" type="text" disabled="disabled" />
                </div>
               
                <div class="clearfix"></div>

                <label>PTA/PTO site</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PTASite)>
                    <input ng-model="@Html.Ang(m => m.PTASite)" type="text" @Html.AngTooltipValidationFor(model => model.PTASite) />
                </div>
                <label>Type</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedSubType)"
                                name="schoolType" data-placeholder="Select school type"
                                ng-options="obj.Value as obj.Text for obj in Model.SchoolSubTypes"></select>
                    </div>

                </div>
                <div>
                    <label>School grade</label>
                    <div class="place-left one-half" style="padding-right: 20px">
                        <label>Min grade</label>
                        <div class="input-control select" data-role="input-control">
                            <div>
                                <select chosen ng-model="@Html.Ang(m => m.SelectedMinGrade)"
                                        name="mingarde" data-placeholder="Select min grade"
                                        ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>

                            </div>
                        </div>
                    </div>
                    <div class="place-left one-half">
                        <label>Max grade</label>
                        <div class="input-control select" data-role="input-control">
                            <div>
                                <select chosen ng-model="@Html.Ang(m => m.SelectedMaxGrade)"
                                        name="maxgrade" data-placeholder="Select max grade"
                                        ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="clearfix"></div>
                <label>Note</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Note)"></textarea>
                </div>


            </div>
        </fieldset>


        <div class="clearfix"></div>
        <hr />
        <button ngaction="SchoolSetting_Info_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SchoolSetting'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>